package counter_config;
sub config
{
####################################################################
#                    Configuration Settings.                       #
####################################################################
       # username password for the admin stats screen.
       # chose a good one and remember it.
my $user_name          = 'user';
my $pass_word          = 'passwd';

       # The name of your website.
my $sitename = 'HTMLfixIT.com';

       # The script outputs a gif image to the browser.
       # The path to the spacer.gif image.
my $output_image_path  ='/home/httpd/www/spacer.gif';

       #Time period to keep stats before rollover/archiving them.
       #You should set this to a month or two (in days).
my $days_before_archiving_stats = 30;        

       # The directory that the statistical datafile should be archived
       # to when the set time period has expired.
my $archives_dir       = '/home/httpd/www/counter/archives';


       # Stores three different hit types. All hits including ignored IP's,
       # Unique hits only and all hits except ignored IP's
      
       # The stats file contains the bulk of the information gathered in
       # a pipe delimited text file.
my $stats_file         = '/home/httpd/www/counter/stats.txt';

       # The counter file contains 3 pipe delimeted entries. 
       # unique hits,| hits without ignored IP's | All hits respectively.
my $total_counter_file = '/home/httpd/www/counter/counter.txt';

       # This file will contain the overall count of hits since the counter
       # was first setup and is the only count file that doesn't roll over by default.

my $overall_count = '/home/httpd/www/counter/overall.txt';

       # The ip_ignore file is a simple text file with any IP address's 
       # you want the counter to ignore hits from, your own IP is the 
       # usual content of this file. (one IP per line only.)
my $ip_ignore          = '/home/httpd/www/counter/ip_ignore.txt';

       # This script keep track of the age of hits by creating a 0 byte 
       # file the name of which is based on the IP address of the hit. 
       # It then uses the "age" of this file to determine how long ago
       # the site was hit by that IP addres.
my $used_ips_dir       = '/home/httpd/www/counter/ips';

       
       # The name of this file, If you need to rename the script to .cgi
       # in order to put it on your server, you need to edit this parameter
       # to match it, so the script knows how to refer to itself.
my $script_name        = 'stats.pl'; 


       # Amount of time to pass before an IP address should be considered
       # "unique" again. The default setting (.5) is 1 day (12 hours).
my $ip_age             = 1;

       # Cookie config.
       # A cookie is used to keep you logged into the admin
       # screen.
       # It is important that you get the cookie details
       # correct or it will not be set correctly (if at all.)
       # use exactly the same format as the current settings.
       # If the cookie isn't working for some reason, this is the
       # first place you should look.
       # The cookie is set a single session only. so once you close
       # the browser the cookie is gone and you will have to login 
       # again.
       
my $domain             = 'htmlfixit.com';
my $path               = '/cgi-bin/fixit-counter';
my $expiration;
my $cookie_id          = 'stats_id';

      # The temp dir is used to store session data for the admin login.
      # on unix systems, usually /tmp is correct.
      # Failing that, make a directory somewhere that the script has write access
      # to and put the path to that directory here.
my $tmp_dir            = '/tmp';
 

############# END OF CONFIG SETTINGS ##################
return ($user_name, $pass_word, $sitename, $output_image_path, $days_before_archiving_stats, $archives_dir,
        $stats_file, $total_counter_file, $overall_count, $ip_ignore, $used_ips_dir, $script_name, $ip_age, $domain, $path, 
        $expiration, $cookie_id, $tmp_dir, $script_name);
}
1;
__END__